Subject: Looking for help on FFAP

From: "Frosch, Johan W (Hans)" <[email-masked]>
Date: Mon, 18 Nov 1996 19:47:24 -0600

>From :	Hans Frosch 	([email-masked])

Last week I saw following message regarding a problem with FFAP.
I have no solution for this problem, but I am looking for information
on how to get FFAP to do exactly the following (as by Will Sobel) :

	I have found it usefull for
	code in that I can have it search a list of known source
	directories for a file. When I am browsing source I need to 
	only click on the #include file name and it magically jumps
	to that file.

Hans Frosch					Tel.    (205) 730-1914
Intergraph Corporation				E-mail: [email-masked]
________________________________________________________________________
_______

FFAP is a package to find a file given the current mouse
or cursor point (Find File At Point.) The lisp source is
ffap.el and is shipped with the standard release.

It's most common use is for finding URL's when a hyperlink
is selected in a HTML document.

	I have found it usefull for
	code in that I can have it search a list of known source
	directories for a file. When I am browsing source I need to 
	only click on the #include file name and it magically jumps
	to that file.

I have got it working except when I have no file at point. It
seems to cause a core. I got the backtrace from MSDEV and since
I do not have source I just sent it on.

I thought this might be a general problem with mouse activated
operations, so it might effect other packages like the WWW stuff.

Thanks for taking an interest in this,
Will

Rob Davenport wrote:
> 
> Will,
> 
> Sorry I don't have an answer to this - I'm not sure what ffap is.
> Would you tell me what it is and where I might obtain it?
> If I can help then, I'll try.
> 
>
 Thanks,
> 
> Rob
> 
> On 13 Nov 96 at 12:53, William Sobel wrote:
> 
> > I was wundering if anyone can make any sense out of this. I do not
> > currently have source but I would be interested if anyone knows this
> > code or why it could fail.
> >
> > The actions once again are to load ffap
> >
> > (require 'ffap)
> > (ffap-bindings)
> > (global-set-key [C-mouse-1] 'ffap-at-mouse)
> >
> > C-Click on some random text and you get the message that adddress
> > 0xC0000005 could not be accessed.
> >
> > Thanks for help,
> > Will
> >
> > --
> >
> > *    William Sobel               Redpoint Software, Inc.      *
> > *    SVP Technology              110 Fieldcrest Ave.          *
> > *    http://www.rpsi.com/        Raritan Center I, 4th Floor  *
> > *    [email-masked]            Edison, NJ 08837             *
> >
> >
> Rob Davenport ([email-masked])
> ---
> This computer is running Windows -- PLEASE STEP AWAY FROM THE BOX!

-- 

*    William Sobel               Redpoint Software, Inc.      *
*    SVP Technology              110 Fieldcrest Ave.          *
*    http://www.rpsi.com/        Raritan Center I, 4th Floor  *
*    [email-masked]            Edison, NJ 08837             *